Jump to content
  • Announcements

    • farangfrog

      VLM : Appel aux développeurs bénévoles   08/10/16

      Nous recherchons des personnes souhaitant contribuer bénévolement au développement de Virtual Loup de Mer, avec des compétences par exemple en PHP, JS, C, web/css, graphisme. Si vous êtes intéressés, merci de contacter @sbs par MP.
Sign in to follow this  
jls666

QtVlm linux mint 17.1 64

Recommended Posts

Posted (edited)

J'ai chargé le paquet  qtvlm 5.5.7-64 ici https://sourceforge.net/projects/qtvlm/

puis:

Citation

 

Installation sous linux

Télécharger: linux. Il faut décompresser l'archive là où vous souhaitez mettre qtVlm et lancer qtVlm. Un répertoire ~/.qtVlm va être créé qui contiendra les paramètres de l'utilisateur, les fichiers de l'exécutable restant là où vous avez qtVlm

 

 

et j'ai:

$ ./qtVlm
./qtVlm: relocation error: ./qtVlm: symbol _ZTVNSt7__cxx1115basic_stringbufIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference

$

C'est ballot vous me direz...

Une idée?

 

Edited by jls666

Share this post


Link to post

Ta distrib est 32 bits ptet ? Dans ce cas faut charger l'autre gz...

Share this post


Link to post

J'ai pris le gz 32 bits et ça marche... pourtant j'ai bien une distrib 64 bits.

Merci. (Je peux laisser ma VM win7 arrêtée!)

 

Share this post


Link to post

Une remarque sans grande importance:  quand on donne un fichier de polaire à QtVlm il le supprime du répertoire indiqué, la 1re fois ça surprend. (Quand on a fait la polaire et qu'on veut la modifier... parti...)

Share this post


Link to post

 

Ca c'est vraiment étrange.

En 64 bits qtVlm est compilé avec une version récente  de C++ (gcc 5.4.0), probablement il te manque quelque chose mais c'est la première fois que je vois ça. En 32 bits c'est compilé avec une version plus ancienne (gcc 4.8.4), exprès.

Ça serait bien plus rapide avec la version 64bits donc ça serait bien d'identifier et de corriger ce soucis sur ta machine, quand même.

Share this post


Link to post
il y a 12 minutes, jls666 a dit :

Une remarque sans grande importance:  quand on donne un fichier de polaire à QtVlm il le supprime du répertoire indiqué, la 1re fois ça surprend. (Quand on a fait la polaire et qu'on veut la modifier... parti...)

J'imagine que tu as utilisé la fonction import polaire? En fait ce bouton ne devrait pas exister sur PC, c'est surtout fait pour Android ou iOS où on n'a pas un accès facile au sandbox. Sur linux suffit de copier la polaire dans le répertoire polar.

Share this post


Link to post
Il y a 4 heures, jls666 a dit :

J'ai pris le gz 32 bits et ça marche... pourtant j'ai bien une distrib 64 bits.

Merci. (Je peux laisser ma VM win7 arrêtée!)

 

Je reviens là dessus: on trouve pas mal d'exemples de cette erreur sur google. En principe et ça semble logique ça vient d'une mauvaise version/installation de gcc. Plusieurs liens suggèrent:

sudo apt-get update && sudo apt-get upgrade
sudo apt-get install build-essential
sudo apt-get install aptitude

sudo apt-get install libstdc++6

Share this post


Link to post
Posted (edited)

J’étais un peu pressé par le temps, je n'ai pas eu le temps de googler l'erreur.

J'ai fait ce que tu me proposes build-essential, aptitude et libstdc++6 sont déjà installés. L'upgrade n'a rien changé.

L'erreur et toujours la même.

 

 

Edited by jls666

Share this post


Link to post

Je viens de faire rapidement une VM LMint18.2 64b et qtvlm64 y tourne parfaitement.

Ma distrib 17.1 doit avoir un des paquets gcc qui ne collent plus avec ceux utilisés pour la compile de qtvlm actuelle... (il faudrait que je mette à jour ma machine.... mais c'est chi..t de tout réinstaller...)

Share this post


Link to post

Ok alors, me voilà rassuré ;)

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this  

×